#pragma once

#include "CoreMinimal.h"
#include "Perk.h"
#include "S44P02.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class THES44_API US44P02 : public UPerk
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	float _cooldownDuration;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _upgradedItemChargeIncreasePercentage;

public:
	US44P02();
};

FORCEINLINE uint32 GetTypeHash(const US44P02) { return 0; }
